package com.cidat.proclets;

public class SetValProclet implements Proclet {
	String name;
	String valueExpr;
	String name2 = null;
	String valueExpr2 = null;

	public SetValProclet(String valName, String valueExpr) {
		this.name = valName;
		this.valueExpr = valueExpr;
	}

	public SetValProclet(String valName, String valueExpr, String valName2,
			String valueExpr2) {
		this(valName, valueExpr);
		this.name2 = valName2;
		this.valueExpr2 = valueExpr2;
	}

	public void process(ProcletServiceData sd) throws ProcletException {
		sd.setVal(this.name,
				this.valueExpr == null ? null : sd.evalExpr(this.valueExpr));
		if (this.name2 != null)
			sd.setVal(
					this.name2,
					this.valueExpr2 == null ? null : sd
							.evalExpr(this.valueExpr2));
	}
}

/*
 * Location:
 * D:\svn\ejie\q53.trunk\codigo\q53\q53ItourbaskWar\WebContent\WEB-INF\
 * lib\proclets_wl81.jar Qualified Name: com.cidat.proclets.SetValProclet
 * JD-Core Version: 0.6.0
 */